=== added directory 'purchase_requisition_supplier_list'
=== added file 'purchase_requisition_supplier_list/__init__.py'
--- purchase_requisition_supplier_list/__init__.py	1970-01-01 00:00:00 +0000
+++ purchase_requisition_supplier_list/__init__.py	2014-06-10 18:33:13 +0000
@@ -0,0 +1,28 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###############################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) OpenERP Venezuela (<http://www.vauxoo.com>).
+#    All Rights Reserved
+############# Credits #########################################################
+#    Coded by: Katherine Zaoral <kathy@vauxoo.com>
+#    Planified by: Humberto Arocha <hbto@vauxoo.com>,
+#                  Katherine Zaoral <kathy@vauxoo.com>
+#    Audited by: Humberto Arocha <hbto@vauxoo.com>
+###############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published
+#    by the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+###############################################################################
+
+import model
+import wizard

=== added file 'purchase_requisition_supplier_list/__openerp__.py'
--- purchase_requisition_supplier_list/__openerp__.py	1970-01-01 00:00:00 +0000
+++ purchase_requisition_supplier_list/__openerp__.py	2014-06-10 18:33:13 +0000
@@ -0,0 +1,54 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###############################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) OpenERP Venezuela (<http://www.vauxoo.com>).
+#    All Rights Reserved
+############# Credits #########################################################
+#    Coded by: Katherine Zaoral <kathy@vauxoo.com>
+#    Planified by: Humberto Arocha <hbto@vauxoo.com>,
+#                  Katherine Zaoral <kathy@vauxoo.com>
+#    Audited by: Humberto Arocha <hbto@vauxoo.com>
+###############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published
+#    by the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+###############################################################################
+
+{
+    'name': 'Purchase Requisition Supplier List',
+    'version': '1.0',
+    'author': 'Vauxoo',
+    'website': 'http://www.vauxoo.com/',
+    'category': 'purchase',
+    'description': '''
+Purchase Requisition Supplier List
+==================================
+
+This module add to the purchase requisition document a functionality to manage
+a list of suggested suppliers.
+
+''',
+    'depends': [
+        'purchase_requisition'
+    ],
+    'data': [
+        'view/purchase_requisition_view.xml',
+        ],
+    'demo': [],
+    'test': [],
+    'qweb': [],
+    'js': [],
+    'css': [],
+    'active': False,
+    'installable': True,
+}

=== added directory 'purchase_requisition_supplier_list/data'
=== added directory 'purchase_requisition_supplier_list/demo'
=== added directory 'purchase_requisition_supplier_list/doc'
=== added directory 'purchase_requisition_supplier_list/doc/images'
=== added directory 'purchase_requisition_supplier_list/i18n'
=== added file 'purchase_requisition_supplier_list/i18n/purchase_requisition_supplier_list.pot'
--- purchase_requisition_supplier_list/i18n/purchase_requisition_supplier_list.pot	1970-01-01 00:00:00 +0000
+++ purchase_requisition_supplier_list/i18n/purchase_requisition_supplier_list.pot	2014-06-10 18:33:13 +0000
@@ -0,0 +1,42 @@
+# Translation of OpenERP Server.
+# This file contains the translation of the following modules:
+#	* purchase_requisition_supplier_list
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: OpenERP Server 7.0\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2014-05-29 15:29+0000\n"
+"PO-Revision-Date: 2014-05-29 15:29+0000\n"
+"Last-Translator: <>\n"
+"Language-Team: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: \n"
+"Plural-Forms: \n"
+
+#. module: purchase_requisition_supplier_list
+#: field:purchase.requisition,supplier_ids:0
+msgid "Suppliers"
+msgstr ""
+
+#. module: purchase_requisition_supplier_list
+#: help:purchase.requisition,suggested_suppliers:0
+msgid "The suppliers suggested to compete for the current purchase requisition."
+msgstr ""
+
+#. module: purchase_requisition_supplier_list
+#: model:ir.model,name:purchase_requisition_supplier_list.model_purchase_requisition
+msgid "Purchase Requisition"
+msgstr ""
+
+#. module: purchase_requisition_supplier_list
+#: help:purchase.requisition,supplier_ids:0
+msgid "The Suppliers that will participate in the tender. This suppliers can only be defined by the purchase analyst in the phase of Prepare Tenderplan."
+msgstr ""
+
+#. module: purchase_requisition_supplier_list
+#: field:purchase.requisition,suggested_suppliers:0
+msgid "Suggested Suppliers"
+msgstr ""
+

=== added directory 'purchase_requisition_supplier_list/model'
=== added file 'purchase_requisition_supplier_list/model/__init__.py'
--- purchase_requisition_supplier_list/model/__init__.py	1970-01-01 00:00:00 +0000
+++ purchase_requisition_supplier_list/model/__init__.py	2014-06-10 18:33:13 +0000
@@ -0,0 +1,27 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###############################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) OpenERP Venezuela (<http://www.vauxoo.com>).
+#    All Rights Reserved
+############# Credits #########################################################
+#    Coded by: Katherine Zaoral <kathy@vauxoo.com>
+#    Planified by: Humberto Arocha <hbto@vauxoo.com>,
+#                  Katherine Zaoral <kathy@vauxoo.com>
+#    Audited by: Humberto Arocha <hbto@vauxoo.com>
+###############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published
+#    by the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+###############################################################################
+
+import purchase_requisition

=== added file 'purchase_requisition_supplier_list/model/purchase_requisition.py'
--- purchase_requisition_supplier_list/model/purchase_requisition.py	1970-01-01 00:00:00 +0000
+++ purchase_requisition_supplier_list/model/purchase_requisition.py	2014-06-10 18:33:13 +0000
@@ -0,0 +1,69 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###############################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) OpenERP Venezuela (<http://www.vauxoo.com>).
+#    All Rights Reserved
+############# Credits #########################################################
+#    Coded by: Katherine Zaoral <kathy@vauxoo.com>
+#    Planified by: Humberto Arocha <hbto@vauxoo.com>,
+#                  Katherine Zaoral <kathy@vauxoo.com>
+#    Audited by: Humberto Arocha <hbto@vauxoo.com>
+###############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published
+#    by the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+###############################################################################
+
+from openerp.osv import fields, osv, orm
+from openerp.tools.translate import _
+from openerp import tools
+
+class purchase_requisition(osv.Model):
+    """
+    This is an extension of the purchase requisition model to add the
+    functionality to manage a suggested list of partners.
+    """
+
+    _inherit = 'purchase.requisition'
+    _columns = {
+        'suggested_supplier_ids': fields.many2many(
+            'res.partner',
+            'purchase_requisition_suggested_suppliers_rel',
+            'purchase_requisition_id', 'partner_id',
+            'Suggested Suppliers',
+            help=('The suppliers suggested to compete for the current'
+                  ' purchase requisition.')),
+        'supplier_ids': fields.many2many(
+            'res.partner',
+            'purchase_requisition_suppliers',
+            'purchase_requisition_id', 'partner_id',
+            'Suppliers',
+            help=('The Suppliers that will participate in the tender. This'
+                  ' suppliers can only be defined by the purchase analyst in'
+                  ' the phase of Prepare Tenderplan.')),
+    }
+
+    def create_orders(self, cr, uid, ids, context=None):
+        """
+        This method create the quotations of the purchase requisition for all
+        the partners given in the purchase requisition suggested partner.
+        @return True
+        """
+        context = context or {}
+        ids = isinstance(ids, (int, long)) and [ids] or ids
+        for req_brw in self.browse(cr, uid, ids, context=context):
+            map(
+                lambda partner_brw: self.make_purchase_order(
+                    cr, uid, [req_brw.id], partner_brw.id, context=context),
+                req_brw.supplier_ids)
+        return True 

=== added directory 'purchase_requisition_supplier_list/report'
=== added directory 'purchase_requisition_supplier_list/security'
=== added directory 'purchase_requisition_supplier_list/static'
=== added directory 'purchase_requisition_supplier_list/static/description'
=== added file 'purchase_requisition_supplier_list/static/description/index.html'
=== added directory 'purchase_requisition_supplier_list/static/src'
=== added directory 'purchase_requisition_supplier_list/static/src/css'
=== added directory 'purchase_requisition_supplier_list/static/src/img'
=== added file 'purchase_requisition_supplier_list/static/src/img/icon.png'
Binary files purchase_requisition_supplier_list/static/src/img/icon.png and purchase_requisition_supplier_list/static/src/img/icon.png differ
=== added directory 'purchase_requisition_supplier_list/static/src/js'
=== added directory 'purchase_requisition_supplier_list/static/src/xml'
=== added directory 'purchase_requisition_supplier_list/test'
=== added directory 'purchase_requisition_supplier_list/view'
=== added file 'purchase_requisition_supplier_list/view/purchase_requisition_view.xml'
--- purchase_requisition_supplier_list/view/purchase_requisition_view.xml	1970-01-01 00:00:00 +0000
+++ purchase_requisition_supplier_list/view/purchase_requisition_view.xml	2014-06-10 18:33:13 +0000
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+
+        <record model="ir.ui.view" id="purchase_requisition_suppliers_form_view">
+            <field name="name">purchase.requisition.suppliers.form</field>
+            <field name="model">purchase.requisition</field>
+            <field name="inherit_id" ref="purchase_requisition.view_purchase_requisition_form"/>
+            <field name="arch" type="xml">
+
+                <xpath expr="//notebook" position="inside">
+                    <page string="Suppliers">
+                        <separator string="Suggested Suppliers"/>
+                        <field name="suggested_supplier_ids"/>
+                        <separator string="Suppliers"/>
+                        <field name="supplier_ids"/>
+                    </page>
+                </xpath>
+
+            <xpath expr="//button[@string='Request a Quotation']" position="attributes">
+                <attribute name="name">create_orders</attribute>
+                <attribute name="type">object</attribute>
+                <attribute name="string">Request Quotations</attribute>
+            </xpath>
+
+            </field>
+        </record>
+
+    </data>
+</openerp>
+
+
+

=== added directory 'purchase_requisition_supplier_list/wizard'
=== added file 'purchase_requisition_supplier_list/wizard/__init__.py'
--- purchase_requisition_supplier_list/wizard/__init__.py	1970-01-01 00:00:00 +0000
+++ purchase_requisition_supplier_list/wizard/__init__.py	2014-06-10 18:33:13 +0000
@@ -0,0 +1,26 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###############################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) OpenERP Venezuela (<http://www.vauxoo.com>).
+#    All Rights Reserved
+############# Credits #########################################################
+#    Coded by: Katherine Zaoral <kathy@vauxoo.com>
+#    Planified by: Humberto Arocha <hbto@vauxoo.com>,
+#                  Katherine Zaoral <kathy@vauxoo.com>
+#    Audited by: Humberto Arocha <hbto@vauxoo.com>
+###############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published
+#    by the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+###############################################################################
+

=== added directory 'purchase_requisition_supplier_list/workflow'
